%define piname	climatology_pi
%define ver_CL_DATA 1.0

Name:		opencpn-climatology-plugin
Summary:	Climatology plugin for OpenCpn
Version:	1.4.15.0
Release:	%mkrel 2
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/climatology_pi
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz
Source1:	CL-DATA-%{ver_CL_DATA}.tar.xz
Patch0:		climatology_pi-1.4.1-add-missing-gl-include.patch
Patch1:		opencpn-climatology-1.4.15.0-pkgconfig_gtk3.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	git
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Provides overlay capabilities for historic weather data.
Supported Climatology types include:
    Average wind directions and speed
    Percentage of gale and calm conditions
    Average swell and sea state (not yet implemented)
    Precipitation, Humidity, and Cloud Cover
    Monthly average Sea Level pressure and Sea Temperature, Air Temperature
    Tropical Cyclone tracks

%prep
%autosetup -p1 -n %{piname}

tar -xJf %{SOURCE1}

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*
%{_datadir}/opencpn/plugins/%{piname}/icons/*


%changelog
* Fri Jan 01 2021 wally <wally> 1.4.15.0-2.mga8
+ Revision: 1667711
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Sep 20 2020 barjac <barjac> 1.4.15.0-1.mga8
+ Revision: 1628978
- new version 1.4.15.0
- patched to use pkgconfig for gtk3 as cmake has no FindGTK3.cmake
- added icons to files list
- added BR git for cmake

* Sun Aug 16 2020 wally <wally> 1.4.1-5.mga8
+ Revision: 1614352
- rebuild for new wxgtk 3.1.4

* Wed Feb 19 2020 daviddavid <daviddavid> 1.4.1-4.mga8
+ Revision: 1544121
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 1.4.1-2.mga8
+ Revision: 1421016
- rebuild with gtk3 enabled wxgtk 3.1.2

* Fri Jan 18 2019 barjac <barjac> 1.4.1-1.mga7
+ Revision: 1357998
- new version 1.4.1

* Sun Sep 23 2018 umeabot <umeabot> 1.4-4.mga7
+ Revision: 1299994
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 1.4-3.mga7
+ Revision: 1239507
- fix build on aarch64

* Thu Apr 12 2018 barjac <barjac> 1.4-2.mga7
+ Revision: 1217959
- new version 1.4

* Thu Dec 28 2017 barjac <barjac> 1.3.1-1.mga7
+ Revision: 1186602
- new version 1.3.1
- dont own %%{_libdir}/opencpn

* Sat Jun 03 2017 akien <akien> 1.2-5.mga6
+ Revision: 1106110
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.2-4.mga6
+ Revision: 1019830
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.2-3.mga6
+ Revision: 962317
- changed buildrequire wxgtku3.0
- new version 1.2

* Tue Feb 16 2016 umeabot <umeabot> 1.1.001-2.mga6
+ Revision: 961930
- Mageia 6 Mass Rebuild

* Tue Dec 08 2015 barjac <barjac> 1.1.001-1.mga6
+ Revision: 908770
- new package opencpn-climatology-plugin

